#
#   You can build tin with:
# --define 'domain_name your.domain'
# --define 'default_server default.nntp.server'
#
Summary:	tin News Reader
Summary(de.UTF-8):	tin News-Reader
Summary(fr.UTF-8):	Lecteur de news tin
Summary(pl.UTF-8):	tin - czytnik newsów
Summary(ru.UTF-8):	tin - программа для чтения телеконференций Usenet
Summary(tr.UTF-8):	Haber okuyucu
Summary(uk.UTF-8):	tin - програма для читання телеконференцій Usenet
Name:		tin
Version:	2.6.1
Release:	4
Epoch:		5
License:	distributable
Group:		Applications/News
Source0:	ftp://ftp.tin.org/pub/news/clients/tin/stable/%{name}-%{version}.tar.bz2
# Source0-md5:	8465726c46ff414f748cc7d8bf76b764
Source1:	%{name}.desktop
Source2:	%{name}.attributes
Patch0:		%{name}-enable_coloring.patch
Patch1:		%{name}-charset.patch
Patch2:		gcc14.patch
URL:		http://www.tin.org/
BuildRequires:	autoconf >= 2.52
BuildRequires:	bison
BuildRequires:	gettext-tools
BuildRequires:	gsasl-devel
BuildRequires:	libicu-devel
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	pcre-devel
BuildRequires:	pkgconfig
BuildRequires:	uudeview-devel
Requires:	urlview
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tin is a full-screen easy to use Netnews reader. It can read news
locally (i.e., /var/spool/news) or remotely (rtin or tin -r option)
via a NNTP (Network News Transport Protocol) server. It will
automatically utilize NOV (News OVerview) style index files if
available locally or via the NNTP XOVER command.

Tin has four separate levels of operation: Group selection level,
Group level, Thread level and Article level. Use the 'h' (help)
command to view a list of the commands available at a particular
level.

%description -l de.UTF-8
Tin ist ein Vollbild-Newsreader. Das Programm kann entweder lokal
(z.B. usr/spool/news) oder entfernt (Option 'rtin' bzw. 'tin -r') über
einen NNTP-Server (Network News Transport Protocol) eingesetzt werden.

%description -l fr.UTF-8
Tin est un lecteur de news plein écran facile à utiliser. Il peut lire
des articles localement (i.e. /usr/spool/news) ou à distance ('rtin'
ou 'tin -r') via un serveur NNTP (Network News Transport Protocol).

%description -l pl.UTF-8
Tin jest pełnoekranowym czytnikiem newsów. Umożliwia czytanie zarówno
z lokalnych zasobów (np. z katalogu /var/spool/news jak i ze zdalnych
(uruchamiając 'rtin' lub 'tin -r') serwerów NNTP (Network News
Transport Protocol).

%description -l ru.UTF-8
Tin - это простая в использовании полноэкранная программа для чтения
телеконференций Usenet. Она может читать телеконференции с локальной
(т.е. /var/spool/news) или удаленной (rtin или опция tin -r) по NNTP
(Network News Transport Protocol).

%description -l tr.UTF-8
Tin, metin ekranda çalışan kolay kullanılır bir USENET haber
okuyucusudur. Haberleri yerel olarak (/usr/spool/news), ya da bir NNTP
sunucusu aracılığıyla uzaktan ('rtin' ya da 'tin -r' seçeneği ile)
okuyabilir.

%description -l uk.UTF-8
Tin - це проста у використанні повноекранна програма для читання
телеконференцій Usenet. Вона дозволяє читати телеконференції як з
локальної машини (тобто /var/spool/news) так і з віддаленої (rtin або
опція tin -r) по NNTP (Network News Transport Protocol).

%prep
%setup -q
%patch -P0 -p1
%patch -P1 -p1
%patch -P2 -p1

%build
%{__autoconf}
LDFLAGS="%{rpmldflags}"
%configure \
	CPP="%__cpp" \
	--disable-debug \
	--enable-color \
	--enable-curses \
	--enable-ipv6 \
	--enable-nls \
	--with-gpg=%{_bindir}/gpg \
	--with-ispell=%{_bindir}/ispell \
	--with-mailer=/usr/lib/sendmail \
	--with-metamail=%{_bindir}/metamail \
	--with-ncurses \
	--with-nov-dir=%{_var}/spool/news \
	--with-pcre \
	--with-screen=ncurses \
	--with-spooldir=%{_var}/spool/news \
	%{?domain_name:--with-domain-name=%{domain_name}} \
	%{?default_server:--with-nntp-default-server=%{default_server}}

%{__make} -C src

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{etc,etc/tin,%{_bindir},%{_mandir}/man1,%{_mandir}/man5,%{_desktopdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -p doc/tin.defaults $RPM_BUILD_ROOT%{_sysconfdir}/tin/tinrc
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/tin/attributes
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man1/rtin.1
echo ".so tin.1" > $RPM_BUILD_ROOT%{_mandir}/man1/rtin.1

cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

# file conflict mmdf between mutt and tin
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man5/mmdf.5*
# file conflict mbox between manpages and tin
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man5/mbox.5*

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README MANIFEST doc/{CHANGES,TODO,DEBUG_REFS,WHATSNEW,*.txt}
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/tinrc
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/attributes
%attr(755,root,root) %{_bindir}/metamutt
%attr(755,root,root) %{_bindir}/opt-case.pl
%attr(755,root,root) %{_bindir}/rtin
%attr(755,root,root) %{_bindir}/tin
%attr(755,root,root) %{_bindir}/tinews.pl
%attr(755,root,root) %{_bindir}/url_handler.pl
%attr(755,root,root) %{_bindir}/w2r.pl
%{_mandir}/man1/opt-case.pl.1*
%{_mandir}/man1/rtin.1*
%{_mandir}/man1/tin.1*
%{_mandir}/man1/tinews.pl.1*
%{_mandir}/man1/url_handler.pl.1*
%{_mandir}/man1/w2r.pl.1*
%{_mandir}/man5/tin.5*
%{_mandir}/man5/rtin.5*
%{_desktopdir}/tin.desktop
%changelog
* Wed Jan 22 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tin.git;a=log;h=master

* Wed Jan 22 2025 Jan Palus <atler@pld-linux.org> b09175b
- icu 76 rebuild

* Tue Jan 21 2025 Jan Palus <atler@pld-linux.org> a558ce7
- fix gettimeofday signature detection with gcc 14

* Fri Jun 30 2023 Jan Palus <atler@pld-linux.org> 1cbe4b5
- icu rebuild

* Thu Feb 16 2023 Jan Palus <atler@pld-linux.org> 1c1eb79
- icu rebuild

* Thu Jul 14 2022 Jakub Bogusz <qboosh@pld-linux.org> 5e32c44
- updated to 2.6.1
- with libicu, libidn is not required

* Fri Jun 03 2022 Jan Palus <atler@pld-linux.org> 0d06fb8
- icu rebuild

* Sat Jan 15 2022 Jan Palus <atler@pld-linux.org> a281767
- icu rebuild

* Wed Aug 18 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 6bb4900
- up to 2.4.5

* Thu Aug 12 2021 Jan Palus <atler@pld-linux.org> e96f055
- icu rebuild

* Thu Aug 12 2021 Jan Palus <atler@pld-linux.org> 1d3c8a9
- don't strip binary on install

* Tue Aug 10 2021 Jan Palus <atler@pld-linux.org> e50e2f6
- rediff patches

* Wed Jul 01 2020 Jan Palus <atler@pld-linux.org> ff6125b
- icu 67 rebuild
- release 13 (by relup.sh)

* Sun Oct 06 2019 Jan Rękorajski <baggins@pld-linux.org> f86091c
- rebuild with icu 65.1
- release 12 (by relup.sh)

* Sat Apr 13 2019 Jakub Bogusz <qboosh@pld-linux.org> 0967466
- cleanup

* Sat Apr 13 2019 Jakub Bogusz <qboosh@pld-linux.org> 7513ea8
- release 11 (rebuild with icu 64), BR: gsasl-devel libicu-devel libidn-devel

* Fri Nov 23 2018 Jan Rękorajski <baggins@pld-linux.org> 5a4d1cf
- rebuild with libidn 1.35
- release 10 (by relup.sh)

* Sun Apr 23 2017 Jan Rękorajski <baggins@pld-linux.org> c447f09
- release 9 (by relup.sh)

* Fri Mar 10 2017 Jan Rękorajski <baggins@pld-linux.org> a58087c
- rebuild with icu 58.2
- release 8 (by relup.sh)

* Mon May 16 2016 Elan Ruusamäe <glen@delfi.ee> 1a84c97
- icu-57.1 rebuild
- release 7 (by relup.sh)

* Wed Nov 18 2015 Jan Rękorajski <baggins@pld-linux.org> 9d7047b
- release 6 (by relup.sh)

